/**Begin D:\PDM\PDM_UPGRADE\pdm1\BCM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_MERGEMETHOD') 
 CREATE TABLE T_BCM_MERGEMETHOD (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT '1' NOT NULL,
FLEVEL INT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(500) DEFAULT ' ' NOT NULL,
FLONGNUMBER VARCHAR(200) DEFAULT ' ' NOT NULL,
FMODIFYTIME DATETIME,
FMODIFIER BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_MERGEMETHOD_L') 
 CREATE TABLE T_BCM_MERGEMETHOD_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BCM_MERGESTRUCTINFO') 
 CREATE TABLE T_BCM_MERGESTRUCTINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FMODELID BIGINT DEFAULT 0 NOT NULL,
FSCENARIOID BIGINT DEFAULT 0 NOT NULL,
FYEARID BIGINT DEFAULT 0 NOT NULL,
FPERIODID BIGINT DEFAULT 0 NOT NULL,
FORGNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGPNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FISMERGE CHAR(1) DEFAULT '1' NOT NULL,
FMERGEMETHODID BIGINT DEFAULT 0 NOT NULL,
FUSERDEFINED1 NVARCHAR(200) DEFAULT ' ' NOT NULL,
FUSERDEFINED2 NVARCHAR(200) DEFAULT ' ' NOT NULL,
FUSERDEFINED3 NVARCHAR(200) DEFAULT ' ' NOT NULL,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);



/**End D:\PDM\PDM_UPGRADE\pdm1\BCM_table.sql **/
